/*  Header file for evolve.c                               */

/*  Nucleotide Sequence Generator - seq-gen, version 1.2.5 */
/*  (c) Copyright 1996-2001, Andrew Rambaut & Nick Grassly */
/*  Department of Zoology, University of Oxford            */


#ifndef _EVOLVE_H_
#define _EVOLVE_H_

#include "tree.h"

#define MAX_RATE_CATS 32

extern int numTaxa, numBases, maxPartitions, numPartitions, fileFormat;

extern double gammaShape, proportionInvariable;
extern int numCats, rateHetero, invariableSites;
extern double catRate[MAX_RATE_CATS];

enum {
	NoRates,
	CodonRates,
	GammaRates,
	DiscreteGammaRates
};

enum {
	PHYLIPFormat,
	RelaxedFormat,
	NEXUSFormat
};

/* prototypes */

void SetModel(int model);
void SetCategories();
void CreateRates();
void CreateSequences(TTree *tree, int inNumSites);
void EvolveSequences(TTree *tree, int inFromSite, int inNumSites, double scale, char *ancestor);

void WriteSequences(FILE *fv, int treeNo, int datasetNo, TTree **treeSet, int *partitionLengths);

void WriteAncestralSequences(FILE *fv, TTree *tree);

void WriteRates(FILE *fv);

#endif /* _EVOLVE_H_ */
