/*  Header file to define tree and node structures     */

/*  Nucleotide Sequence Generator - seq-gen, version 1.2.5 */
/*  (c) Copyright 1996-2001, Andrew Rambaut & Nick Grassly */
/*  Department of Zoology, University of Oxford            */

#ifndef _TREE_H_
#define _TREE_H_

#define MAX_NAME_LEN 64
#define MAX_TIPS 1000

typedef struct TNode TNode;
struct TNode {
	TNode *branch0, *branch1, *branch2, *next;
	double length0, length1, length2, param;
	int tipNo;
	
	char *sequence;
};


typedef struct TTree TTree;
struct TTree {
	int rooted, lengths;
	TNode *root, *nodeList;
	int numTips, numNodes;
	double totalLength;
	char *names[MAX_TIPS];
	TNode *tips[MAX_TIPS];
};

#endif /* _TREE_H_ */

