/*  Header file for treefile.c                         */

/*  Nucleotide Sequence Generator - seq-gen, version 1.2.5 */
/*  (c) Copyright 1996-2001, Andrew Rambaut & Nick Grassly */
/*  Department of Zoology, University of Oxford            */

#ifndef _TREEFILE_H_
#define _TREEFILE_H_

/* This contains the structures, TTree and TNode which */
/* can be edited to add more elements                  */
#include "tree.h"

TTree *NewTree();
void DisposeTree(TTree *tree);
void FreeTree(TTree *tree);
void WriteAvailInfo();

int CountTrees(FILE *fv);
void ReadTree(FILE *fv, TTree *tree, int treeNum, int numNames, char **names, 
				int *outNumSites, double *outRelRate);
int IsTreeAvail(FILE *fv);
void WriteTree(FILE *fv, TTree *tree);

void UnrootRTree(TTree *tree);
void RerootUTree(TTree *tree, int tip);
void RootUTree(TTree *tree, TNode *node1, TNode *node2, double pos);
void RerootRTree(TTree *tree, TNode *node1, TNode *node2, double pos);

#endif /* _TREEFILE_H_ */

